Downloads Resources over HTTP

Module: chromedriver

Published: December 18th, 2016

Reported by: Adam Baldwin

CVE-NONE

CWE-818

Vulnerable: <2.26.1
Patched: >=2.26.1

Overview

Affected versions of chromedriver insecurely download resources over HTTP.

In scenarios where an attacker has a privileged network position, they can modify or read such resources at will. This may result in arbitrary code execution if an attacker intercepts and modifies the downloaded binary file, replacing it with a malicious one.

Remediation

Update to version 2.26.1 or later.